Package generic.theme

# Class JavaPropertyValue

java.lang.Object
generic.theme.ThemeValue<Object>
generic.theme.JavaPropertyValue

All Implemented Interfaces:
  `Comparable<ThemeValue<Object>>`

Direct Known Subclasses:
  `BooleanPropertyValue`, `StringPropertyValue`

public abstract class JavaPropertyValue extends ThemeValue<Object>
A base class that represents a Java UIManager property. This value is used to allow for overriding Java UI values using the theme properties files.

- ## Field Summary

  ### Fields inherited from class generic.theme.ThemeValue

  `id, referenceId, value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaPropertyValue(String id, String refId, Object value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ThemeValue<Object>`
  `getReferredValue(GThemeValueMap values, String refId)`
  Returns the ThemeValue referred to by this ThemeValue.
  `String`
  `getSerializationString()`
  Returns the "key = value" String for writing this ThemeValue to a file
  `protected abstract String`
  `getSerializedValue()`
  `void`
  `installValue(ThemeManager themeManager)`
  Install this value as the current value for the application
  `boolean`
  `isExternal()`
  True if this value is one that is one that is defined outside of the application, such as a Java Look and Feel key.
  `protected abstract String`
  `toExternalId(String internalId)`

  ### Methods inherited from class generic.theme.ThemeValue

  `compareTo, equals, get, getId, getRawValue, getReferenceId, getUnresolvedReferenceValue, hashCode, hasResolvableValue, inheritsFrom, isIndirect, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JavaPropertyValue

    public JavaPropertyValue(String id, String refId, Object value)

- ## Method Details

  - ### isExternal

    public boolean isExternal()
    Description copied from class: `ThemeValue`
    True if this value is one that is one that is defined outside of the application, such as a Java Look and Feel key.
    Specified by:
      `isExternal` in class `ThemeValue<Object>`
    Returns:
      true if external

  - ### getSerializationString

    public String getSerializationString()
    Description copied from class: `ThemeValue`
    Returns the "key = value" String for writing this ThemeValue to a file
    Specified by:
      `getSerializationString` in class `ThemeValue<Object>`
    Returns:
      the "key = value" String for writing this ThemeValue to a file

  - ### toExternalId

    protected abstract String toExternalId(String internalId)

  - ### getSerializedValue

    protected abstract String getSerializedValue()

  - ### getReferredValue

    protected ThemeValue<Object> getReferredValue(GThemeValueMap values, String refId)
    Description copied from class: `ThemeValue`
    Returns the ThemeValue referred to by this ThemeValue. Needs to be overridden by concrete classes as they know the correct method to call on the preferredValues map.
    Specified by:
      `getReferredValue` in class `ThemeValue<Object>`
    Parameters:
      `values` - the `GThemeValueMap` to be used to resolve the reference id
      `refId` - the id of the reference ThemeValue
    Returns:
      the ThemeValue referred to by this ThemeValue.

  - ### installValue

    public void installValue(ThemeManager themeManager)
    Description copied from class: `ThemeValue`
    Install this value as the current value for the application
    Specified by:
      `installValue` in class `ThemeValue<Object>`
    Parameters:
      `themeManager` - the application ThemeManager